GuiCommand: Name: TechDraw BrokenView MenuLocation: TechDraw , TechDraw Views , Insert Broken View Workbenches: TechDraw_Workbench Version: 1.0 SeeAlso: TechDraw_View
TechDraw BrokenView
Description
The TechDraw BrokenView tool inserts a \"broken view\" that is either based on an existing part view, or one or more objects, such as Bodies or Parts. The broken view also requires one or more sketches that define the location and size of the areas to be removed. The BrokenView behaves similarly to other Views. The projection direction is taken from the existing part view, the 3D camera direction or the normal of a selected face.
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_BrokenView_example3d.png)
![](https://raw.githubusercontent.com/FreeCAD/FreeCAD-documentation/master/wiki/images/TechDraw_BrokenView_example2d.png)
Usage
- Optionally rotate the 3D view. The 3D view determines the initial values of the Direction and XDirection properties of the broken view.
- Select the object you want to create a broken view of, or select an existing TechDraw view that contains this object.
- Add one or more break sketches to the selection by selecting them in the Tree view. Each sketch should only contain two parallel lines. You can also use other objects with two parallel edges.
- There are several ways to invoke the tool:
- Press the
Insert Broken View button.
- Select the TechDraw → TechDraw Views →
Insert Broken View option from the menu.
- Press the
Properties
See also: Property editor.
A Broken View, formally a {{Incode|TechDraw::DrawBrokenView}} object, is derived from a Part View, formally a {{Incode|TechDraw::DrawViewPart}} object, and inherits all its properties. It also has the following additional properties:
Data
{{TitleProperty|Broken View}}
-
Breaks|LinkList: Objects in the 3d view that define the start/end points and direction of breaks in this view.
-
Gap|Length: The separation distance for breaks in this view (unscaled 3d length).
Notes
- Breaks must be vertical or horizontal. Oblique breaks are not supported.
- See also TechDraw View.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
A BrokenView can be created with macros and from the Python console by using the following functions:
doc = FreeCAD.ActiveDocument
box = doc.Box
profile = doc.Sketch
page = doc.Page
brokenView = doc.addObject("TechDraw::DrawBrokenView", "BrokenView")
page.addView(brokenView)
brokenView.Source= box
brokenView.Breaks = [doc.Sketch]
{{TechDraw_Tools_navi}}
⏵ documentation index > TechDraw > TechDraw BrokenView
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/TechDraw_BrokenView.md